Bug 1568502 - [RFE] Hammer: Provide a way to check candlepin queue depth
Summary: [RFE] Hammer: Provide a way to check candlepin queue depth
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 15:58 UTC by Kevin Howell
Modified: 2019-11-04 14:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 14:01:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kevin Howell 2018-04-17 15:58:19 UTC
Description of problem: Upstream candlepin exposes an API: /candlepin/admin/queues that gives a view of Candlepins queues. It would be useful to have a command that users/support can run to determine the queue depths.

Additional info: Maybe `hammer ping` could show this information? I do not think this *has* to be a hammer command necessarily, but I'm filing under hammer initially.

Comment 3 Rich Jerrido 2019-09-05 10:50:42 UTC
It may make sense to put this in foreman-maintain, as it seems like more of a maintenance task than an administration task.

Comment 4 Bryan Kearney 2019-11-04 14:01:07 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.